/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.1
 *
 * @date        2025-03-25
 *
 * @attention
 *
 *  Copyright (C) 2024-2025 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef MAIN_H
#define MAIN_H

/** @addtogroup Examples
  @{
*/

/** @addtogroup RTC_LPWR_Wakeup
  @{
*/

/** @defgroup RTC_LPWR_Wakeup_Macros Macros
  @{
*/

/* If "STANDBY_MODE" macro is defined, it is standy mode, otherwise it is stop mode. */
//#define STANDBY_MODE

/**@} end of group RTC_LPWR_Wakeup_Macros */

/** @defgroup RTC_LPWR_Wakeup_Enumerations Enumerations
  @{
*/

/**@} end of group RTC_LPWR_Wakeup_Enumerations */

/** @defgroup RTC_LPWR_Wakeup_Structures Structures
  @{
*/

/**@} end of group RTC_LPWR_Wakeup_Structures */

/** @defgroup RTC_LPWR_Wakeup_Variables Variables
  @{
*/

/**@} end of group RTC_LPWR_Wakeup_Variables */

/** @defgroup RTC_LPWR_Wakeup_Functions Functions
  @{
*/

#endif  /* __MAIN_H */

/**@} end of group RTC_LPWR_Wakeup_Functions */
/**@} end of group RTC_LPWR_Wakeup */
/**@} end of group Examples */

