/*!
 * @file       main.h
 *
 * @brief      Header for main.c module
 *
 * @version    V1.0.1
 *
 * @date       2025-03-25
 *
 * @attention
 *
 *  Copyright (C) 2024-2025 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

/* Includes */
#include "apm32e030.h"
#include "Board.h"
#include "rtthread.h"

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup Examples
  @{
  */

/** @addtogroup RT-Thread
  @{
  */

/** @defgroup RT-Thread_Macros Macros
  @{
  */

/**@} end of group RT-Thread_Macros */

/** @defgroup RT-Thread_Enumerations Enumerations
  @{
  */

/**@} end of group RT-Thread_Enumerations */

/** @defgroup RT-Thread_Structures Structures
  @{
  */

/**@} end of group RT-Thread_Structures */

/** @defgroup RT-Thread_Variables Variables
  @{
  */

/**@} end of group RT-Thread_Variables */

/** @defgroup RT-Thread_Functions Functions
  @{
  */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group RT-Thread_Functions */
/**@} end of group RT-thread */
/**@} end of group Examples */
